#!/bin/env bash

# Install dependancies
command -v docker >/dev/null || sudo pacman -S docker
command -v kubectl >/dev/null || sudo pacman -S kubectl
wget -q -O - https://raw.githubusercontent.com/k3d-io/k3d/main/install.sh | bash

k3d cluster create

# Install gitlab
kubectl create ns gitlab
kubectl apply -n gitlab -f ./confs/gitlab-deployement.yaml
kubectl apply -n gitlab -f ./confs/gitlab-ingress.yaml

# Install ArgoCD
kubectl create namespace argocd
kubectl apply -n argocd -f https://raw.githubusercontent.com/argoproj/argo-cd/stable/manifests/install.yaml

kubectl apply -n argocd -f ./confs/argocd.yaml
